<?php

?>
<h1>Featured Slider - Woo Options</h1>

<div class="tab">
  <button class="tablinks" onclick="fsw_slider_open_tabs(event, 'Default')">Default</button>
  <button class="tablinks" onclick="fsw_slider_open_tabs(event, 'AddNew')">Add New</button>
  <button class="tablinks" onclick="fsw_slider_open_tabs(event, 'ShortCodeList')">Short Code List</button>
</div>

<div id="Default" class="tabcontent">


<div class="wrap">


<h4>Just Copy this shortcode into your selected pages.</h4><h4><div onclick="fsw_slider_copy_data(featuredSliderShortcode)" id="featuredSliderShortcode">[featured_slider_woo slider_name="default"]</div><div id="showCopySuccess">Shortcode Copied!</div>
</h4>

<form method="post" action="options.php">
    <?php settings_fields( 'fsw-slider-plugin-settings-group' ); ?>
    <?php do_settings_sections( 'fsw-slider-plugin-settings-group' ); ?>
    <table class="form-table">
   
        

        <tr valign="top">
        <th scope="row">Product Category to Show</th>

        <td>
            <select name="products_services_category_to_show" id="cars">

            <?php 
            $orderby = 'name';
            $order = 'asc';
            $hide_empty = false ;
            $cat_args = array(
                'orderby'    => $orderby,
                'order'      => $order,
                'hide_empty' => $hide_empty,
            );
             
            $product_categories = get_terms( 'product_cat', $cat_args );
             
            if( !empty($product_categories) ){

                $allowed_html = array(
                'option' => array(
                    'value'  => array(),
                 ),
            );
            
            foreach ($product_categories as $key => $category) {
                echo wp_kses('<option value="'.$category->name.'">'.$category->name.'</option>', $allowed_html);
            }

            }

            ?>           

        </td>
        </select>
        </tr>


        <tr valign="top">
        <th scope="row">Quantity to Show</th>
        <td><input type="number" id="featuredQtyToShow" name="products_quantity_to_show" value="<?php echo esc_attr( get_option('products_quantity_to_show') ); ?>" /></td>
        </tr>


        <?php 
        wp_enqueue_script('wp-color-picker');
        wp_enqueue_style( 'wp-color-picker' );
        ?>

        <tr valign="top">
        <th scope="row">Primary Color</th>
        <td><input name="featured_slider_primary_color" type="text" id="mv_cr_section_color" value="<?php echo esc_attr( get_option('featured_slider_primary_color') ); ?>" data-default-color="#11ab5e"></td>
        </tr>

        <tr valign="top">
        <th scope="row">Secondary Color</th>
        <td><input name="featured_slider_secondary_color" type="text" id="mv_cr_section_color_2" value="<?php echo esc_attr( get_option('featured_slider_secondary_color') ); ?>" data-default-color="#efef1e"></td>
        </tr>

        
    </table>
    
    <?php submit_button(); ?>





</form>


<br/>


</div>


</div>



<div id="AddNew" class="tabcontent">

<div class="container">
      <img class="image" src="<?php echo esc_html( plugins_url( '/', __FILE__ ) . 'assets/pro_version_1.png'); ?>" />

        <div class="overlay"><a class="pro-link" target="_blank" href="https://webdevphil.com/product/featured-slider-woo-pro/?currency=USD">Featured Slider - Woo Pro</a></div>
    </div>
</div>


<div id="ShortCodeList" class="tabcontent">

    <div id="SliderListDiv">

    <div class="container">
      <img class="image" src="<?php echo esc_html( plugins_url( '/', __FILE__ ) . 'assets/pro_version_2.png'); ?>" />

        <div class="overlay"><a class="pro-link" target="_blank" href="https://webdevphil.com/product/featured-slider-woo-pro/?currency=USD">Featured Slider - Woo Pro</a></div>
    </div>




    </div>

</div>



<style>
.container {
  position: relative;
}

.pro-link {
    background-color: #ff3995;
    color: #FFFFFF;
    padding: 15px;
    text-decoration: none;
    opacity: 0.9;
}

.pro-link:hover {
    opacity: 1;
    color: #FFFFFF;
}

/* Make the image to responsive */

/* The overlay effect - lays on top of the container and over the image */
.overlay {
  position: absolute;
  top: 0;
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.5); /* Black see-through */
  color: #f1f1f1;
  width: 90%;
  height: 600px;
  transition: .5s ease;
  opacity:0;
  color: white;
  font-size: 20px;
  padding: 50px;
  text-align: center;
}

/* When you mouse over the container, fade in the overlay title */
.container:hover .overlay {
  opacity: 1;
}


#featuredSliderShortcode {
    background: #ff3995;
    padding: 10px;
    width: 270px;
    margin-top: 10px;
    color: #FFFFFF;
    display: inline-block;
    margin-left: 4px;
    margin-right: 7px;

}

#showCopySuccess {
    display: none;
}

#featuredQtyToShow {
    width: 123px;
}

.shortcode-copy-text {
    margin-bottom: 0;
}





/* Style the tab */
.tab {
  overflow: hidden;
  border: 1px solid #e5e5e5;
  background-color: #dfdfdf;
}

/* Style the buttons inside the tab */
.tab button {
  background-color: inherit;
  float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 9px 38px;
    transition: 0.3s;
    font-size: 14px;
    font-weight: 400;
    border-right: 1px solid #FFFFFF;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #FFFFFF;
}

/* Create an active/current tablink class */
.tab button.active {
    background-color: #ff3995;
    color: #FFFFFF;
    border-radius: 0 5px 0 0;
}

/* Style the tab content */
.tabcontent {
  display: none;
  padding: 6px 12px;
  border: 1px solid #e5e5e5;
  border-top: none;
  background-color: #FFFFFF;
  min-height: 450px;
}




.update-featured-slider-woo{
    display: inline-block;
    margin-left: 30px;
    margin-top: -9px;
}

#slider-list-div {
    display: inline-block;
    vertical-align: top;
}


</style>

<script>
function fsw_slider_copy_data(containerid) {
  var range = document.createRange();
  range.selectNode(containerid); //changed here
  window.getSelection().removeAllRanges(); 
  window.getSelection().addRange(range); 
  document.execCommand("copy");
  window.getSelection().removeAllRanges();

  document.getElementById('showCopySuccess').style.display = "inline-block";
}
</script>


 <script type="text/javascript">
    jQuery(document).ready(function($) {   
        $('#mv_cr_section_color').wpColorPicker();
        $('#mv_cr_section_color_2').wpColorPicker();
    });             
</script>




<script>
tabcontent = document.getElementsByClassName("tabcontent");
tabcontent[0].style.display= "block";
tablinks = document.getElementsByClassName("tablinks");
tablinks[0].className += " active";
function fsw_slider_open_tabs(evt, cityName) {
  var i, tabcontent, tablinks;
  
  tabcontent = document.getElementsByClassName("tabcontent");
  for (i = 0; i < tabcontent.length; i++) {
    
    tabcontent[i].style.display= "none";
  }
  tablinks = document.getElementsByClassName("tablinks");
  for (i = 0; i < tablinks.length; i++) {
    tablinks[i].className = tablinks[i].className.replace(" active", "");
  }
  document.getElementById(cityName).style.display = "block";
  evt.currentTarget.className += " active";
}
</script>
