<?php

/**
 * Plugin Name: Featured Slider - Woo
 * Plugin URI: http://webdevphil.com/product/featured-slider-woo
 * Description: Create a Beautiful Featured Product Slider with Customization and Shopping Cart.
 * Version: 1.0.0
 * Author: Danny Boy Gomez
 * Author URI: http://webdevphil.com/
 * Developer: Your Name
 * Developer URI: http://webdevphil.com/
 * Text Domain: featured-slider-woo
 *
 * WC requires at least: 2.2
 * WC tested up to: 2.3
 *
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */

if (!defined('ABSPATH')) exit; // Exit if accessed directly

// Database version
include( plugin_dir_path( __FILE__ ) . 'db-version.php');


// Admin Notifications check if woocommerce installed
include( plugin_dir_path( __FILE__ ) . 'admin/admin-notifications.php');


//Register Menu
include( plugin_dir_path( __FILE__ ) . 'admin/menu.php');

// Admin Option Settings
include( plugin_dir_path( __FILE__ ) . 'admin/admin-option-settings.php');

// slider and shop cart
include( plugin_dir_path( __FILE__ ) . 'front-end/slider-shop-cart.php');