<?php

$primary_color = get_option('featured_slider_primary_color'); // if 4, then four(4) products services will show

if($primary_color) { // if has value

    $primary_color = get_option('featured_slider_primary_color'); 

}else {

    update_option( 'featured_slider_primary_color', "#11ab5e" ); // if no value update to services
    $primary_color = "#11ab5e";
}


$count = is_object( WC()->cart ) ? WC()->cart->get_cart_contents_count() : '';

?>



<div id="cart-div-icon"><p id="meylext-count-cart-item"><?php echo esc_html($count); ?></p>

</div>

<svg id="cart-div-icon-svg" xmlns="http://www.w3.org/2000/svg" style="fill: <?php echo $primary_color; ?>;width:28px;height:28px;" viewBox="0 0 576 512"><!--! Font Awesome Pro 6.1.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path  d="M96 0C107.5 0 117.4 8.19 119.6 19.51L121.1 32H541.8C562.1 32 578.3 52.25 572.6 72.66L518.6 264.7C514.7 278.5 502.1 288 487.8 288H170.7L179.9 336H488C501.3 336 512 346.7 512 360C512 373.3 501.3 384 488 384H159.1C148.5 384 138.6 375.8 136.4 364.5L76.14 48H24C10.75 48 0 37.25 0 24C0 10.75 10.75 0 24 0H96zM128 464C128 437.5 149.5 416 176 416C202.5 416 224 437.5 224 464C224 490.5 202.5 512 176 512C149.5 512 128 490.5 128 464zM512 464C512 490.5 490.5 512 464 512C437.5 512 416 490.5 416 464C416 437.5 437.5 416 464 416C490.5 416 512 437.5 512 464z"/></svg>

   <div id="main-full-cart"><div id="main-div-inner-cart"><div id="main-div-cart"><div id="cart-float-div">


    <?php 
    $items = is_object( WC()->cart ) ? WC()->cart->get_cart() : '';

    if($items) {

        foreach($items as $item => $values) {

            $_product =  wc_get_product( $values['data']->get_id()); 

            $title = $_product->get_title();

            $count_string_title = strlen($title);

            if($count_string_title >= 35) {
              $new_title = substr($_product->get_title(), 0, 35) . " ...";

            }else {

              $new_title = $_product->get_title();

            }

             $allowed_html = array(
                'img' => array(
                    'class'  => array(),
                    'src'  => array(),
                    'style'  => array(),
                    'onclick'  => array(),
                 ),
            );
            
            

            ?>

            <div class='product-group'><?php echo wp_kses($_product->get_image( 'thumbnail' ),$allowed_html )?>
            <div id='float-product-details'>



            <span class='float-product-name'><?php echo esc_html($new_title); ?></span>
            <span class="float-product-qty">Quantity : <input type="hidden" class="product-cart-value" value="<?php echo esc_html($_product->get_id()); ?>" /><input type="number" class="cart-float-qty" name="quantity" value="<?php echo esc_html($values['quantity']); ?>">
            </span>


            <?php 
            $price = get_post_meta($values['product_id'] , '_price', true);
            ?>
        
            <span class='float-product-price'>Price : <b><?php echo esc_html(get_woocommerce_currency_symbol() ." ". $price ); ?></b></span>

            </div>

            </div>

            
            <?php 
            $total_qty = WC()->cart->get_cart_contents_count();
            ?>

            <script>$("#meylext-count-cart-item").html("<?php echo esc_html($total_qty); ?>");</script>

        <?php 

        } 

        }

        ?>

    </div>

    </div>

<?php 
$cart_total = is_object( WC()->cart ) ? WC()->cart->get_cart_total() : '';
?>
    <div id="MainCartTotalCheckout">


              <div id="cartTotalCheckout">

                  <div id="main-total-cart">

                      <div id="total-cart">
                        <a href="<?php echo esc_url(wc_get_cart_url()); ?>" target="_blank" title="Go to Cart">


                          <?php $allowed_html = array(
                              'span' => array(
                                  'class'  => array()
                               ),
                              'bdi' => array(
                                  'span'  => array(),
                                  'class'  => array(),
                               ),
                          );
                          ?>

                          <span class="total-text">Total :</span> <?php echo wp_kses($cart_total, $allowed_html ) ?>


                        </a>
                      </div>

                  </div>

                  <hr class="total-horizontal" style="color:#FFFFFF !important" />

                  <div class="clear"></div>

                  <div id="continue-browsing"><a href="<?php echo esc_url(get_permalink( woocommerce_get_page_id( 'shop' ) )); ?>" target="_blank">Continue browsing</a>
                  </div>


                  <div id="check-out-link"><a href="<?php echo esc_url(wc_get_checkout_url()); ?>" target="_blank">Proceed to Checkout</a>
                  </div>

              </div>
          </div>

       </div>
    </div>