<?php

$services_post_per_page = get_option('products_quantity_to_show'); // if 4, then four(4) products services will show

if($services_post_per_page) { // if has value

    $services_post_per_page = get_option('products_quantity_to_show'); 

}else {

    update_option( 'products_quantity_to_show', 4 ); // if no value update to 4
    $services_post_per_page = 4;
}


$products_services_category = get_option('products_services_category_to_show'); // if 4, then four(4) products services will show

if($products_services_category) { // if has value

    $products_services_category = get_option('products_services_category_to_show'); 

}else {

    update_option( 'products_services_category_to_show', "" ); // if no value update to services
    $products_services_category = "";
}


$products = wc_get_products(array(
    'category' => array(''. $products_services_category. ''),
    'posts_per_page' => $services_post_per_page,
    'post_type' => array('product'),
    'orderby' => array('date'),
    'order' => array('ASC'),
));


$products_count = wc_get_products(array(
    'category' => array(''. $products_services_category. ''),
    'post_type' => array('product'),
    'orderby' => array('date'),
    'order' => array('ASC'),
));

$products_count_by_category = count($products_count);

static $i = 0;

$image_slider_picker = "";

?>



<div class="featured-container">



<?php 
foreach ($products as $value) {

$i++;

$name = $value->name;

$price = $value->price;

$description = $value->description;

$short_description = $value->short_description;

$image_url = wp_get_attachment_url( $value->image_id );


$product_id = $value->id;

$product_url = get_permalink($value->id);


$count_description = strlen($description);

if($count_description >= 500) {
  $new_description = substr($value->description, 0, 500);

}else {

  $new_description = $value->description;

}

?>

<div class='mySlidesFeaturedSlider'>
        <img src='<?php echo esc_url($image_url); ?>' alt='<?php echo esc_html($name); ?>' title='<?php echo esc_html($name); ?>' style='width:40%;display:inline-block' />

        <div class='services-details'>

        <h3 class='featured-service-name'><a href='<?php echo esc_url($product_url); ?>' target='_blank'><?php echo esc_html($name); ?></a></h3> 
        Price : <?php echo esc_html(get_woocommerce_currency_symbol()); ?> <b><?php echo esc_html($price); ?></b><br/> 

        <?php
        $allowed_html = array(
            'ul' => array(
             ),
            'li' => array(),
            'hr' => array(),
            'b' => array(),
            'p' => array(),
            'i' => array(),
            'h1' => array(),
            'h2' => array(),
            'h3' => array(),
            'h4' => array(),
            'h5' => array(),
            'h6' => array(),
        );
        ?>


        Description : <?php echo wp_kses($new_description ,$allowed_html ); ?><a href='<?php echo esc_url($product_url); ?>' target='_blank'><i>read more...</i></a><br />

        <input type='hidden' name='product_id' value='<?php echo esc_html($product_id); ?>' />
        <button type='submit' class='buy loading-adding-cart' >Add to cart</button>
        <div class='loading-adding-cart-icon'></div>
        <span class='added-to-cart-text'><a href='<?php echo esc_url(wc_get_cart_url()); ?>' target='_blank'>View Cart</a></span>
        
        </div>
     </div>

      <?php $image_slider_picker .= '<div class="featured-column">
        <img class="featured_slider_thumb cursor" src="'. esc_url($image_url) . '" style="width:100%" onclick="fsw_currentSlide('. esc_html($i) . ')" alt="">
      </div>' ?>


<?php

      if($services_post_per_page >= $products_count_by_category) { // if product to show is less than the product category count

            if($i==$products_count_by_category) {

            ?>

            <a class="featured_slider_prev" onclick="fsw_plusSlides(-1)">❮</a>
            <a class="featured_slider_next" onclick="fsw_plusSlides(1)">❯</a>

            <?php

            $allowed_html = array(
                'div' => array(
                    'class'  => array(),
                 ),
                'img' => array(
                    'class'  => array(),
                    'src'  => array(),
                    'style'  => array(),
                    'onclick'  => array(),
                 ),
            );
            
            echo wp_kses($image_slider_picker ,$allowed_html );



          }

      } else { // if product category count is less than the product to post page



            if($i==$services_post_per_page) {

            ?>

            <a class="featured_slider_prev" onclick="fsw_plusSlides(-1)">❮</a>
            <a class="featured_slider_next" onclick="fsw_plusSlides(1)">❯</a>

            <?php
            $allowed_html = array(
                'div' => array(
                    'class'  => array(),
                 ),
                'img' => array(
                    'class'  => array(),
                    'src'  => array(),
                    'style'  => array(),
                    'onclick'  => array(),
                 ),
            );
            
            echo wp_kses($image_slider_picker ,$allowed_html );


          }

      }



} // end of foreach product | services

?>
</div>




