<?php

$primary_color = get_option('featured_slider_primary_color'); // if 4, then four(4) products services will show

if($primary_color) { // if has value

    $primary_color = get_option('featured_slider_primary_color'); 

}else {

    update_option( 'featured_slider_primary_color', "#11ab5e" ); // if no value update to services
    $primary_color = "#11ab5e";
}


$secondary_color = get_option('featured_slider_secondary_color'); // if 4, then four(4) products services will show

if($secondary_color) { // if has value

    $secondary_color = get_option('featured_slider_secondary_color'); 

}else {

    update_option( 'featured_slider_secondary_color', "#efef1e" ); // if no value update to services
    $secondary_color = "#efef1e";
}

?>






<style>
#services-div {
    display:block;
    margin-bottom:25px;
}

.services-img {
    display:inline-block;
    vertical-align:top;
}

.services-details {
    display: inline-block;
    max-width: 600px;
    padding-left: 28px;
}

.loading-adding-cart-icon {
    display: inline-block;
    margin: auto;
    border: 6px solid #122432;
    border-radius: 50%;
    border-top: 6px solid #11ab5e;
    width: 15px;
    height: 15px;
    animation: spinner 1s linear infinite;
    visibility: visible;
    margin-bottom: -7px;
    margin-left: 0;
    margin-right: 2px;
    visibility: hidden;
}

@keyframes spinner {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

span.added-to-cart-text {
    color: #11ab5e;
    font-weight: bold;
    visibility: hidden;
    margin-left: 0;
    text-decoration: underline;
}

.add-to-cart-visibility-data {
    visibility : visible;
}

.add-to-cart-visibility-data-2 {
    visibility : hidden;
}

.add-to-cart-visibility-data-3 {
    visibility : visible !important;
}

button.buy.loading-adding-cart {
    background: <?php echo esc_html($primary_color); ?>;
    color: #FFF;
    border: none;
    padding: 7px 15px;
    cursor: pointer;
    margin-top: 5px;
    opacity: 0.9;
}

button.buy.loading-adding-cart:hover {
    background: <?php echo esc_html($primary_color); ?>;
    opacity: 1;
}


.meylex-service-name {
    color: #11ab5e !important;
}

.services-details ul li {
    margin: 0 !important;
}



/* for slides */

.mySlides, .mySlides-2 {
    min-height: 400px;
    margin-bottom: 11px;
}

.mySlides img, .mySlides-2 img {
    vertical-align: top;
    margin-bottom: 11px;
}



/* Position the image container (needed to position the left and right arrows) */
.featured-container {
  position: relative;
}

/* Hide the images by default */
.mySlides, .mySlides-2 {
  display: none;
}

/* Add a pointer when hovering over the thumbnail images */
.cursor {
  cursor: pointer;
}

/* Next & previous buttons */
.featured_slider_prev,
.featured_slider_next {
  cursor: pointer;
  position: absolute;
  top: 40%;
  width: auto;
  padding: 16px 14px;
  margin-top: -50px;
  color: white !important;
  font-weight: bold;
  font-size: 20px;
  border-radius: 0;
  user-select: none;
  -webkit-user-select: none;
  background: #11ab5e4d;
}

/* Position the "next button" to the right */
.featured_slider_next {
  right: 0;
  border-radius: 0;
  margin-right:-45px !important;
}

.featured_slider_prev {
    margin-left: -45px !important;
}





/* On hover, add a black background color with a little bit see-through */
.featured_slider_prev:hover,
.featured_slider_next:hover {
 background: #068d49c7;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* Container for image text */
.caption-container {
  text-align: center;
  background-color: #222;
  padding: 2px 16px;
  color: white;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Six columns side by side */
.featured-column {
  width: 12.66%;
  display: inline-block;
  margin-top: 4px;
}

/* Add a transparency effect for thumnbail images */
.featured_slider_thumb {
  opacity: 0.8;
}

.active,
.featured_slider_thumb:hover {
  opacity: 1;
}

.meylex_slider_thumb_2 {
  opacity: 0.8;
}

.active,
.meylex_slider_thumb_2:hover {
  opacity: 1;
}



@media only screen and (max-width: 750px) {
    .mySlides , .mySlides-2{
    min-height: 590px !important;
    margin-bottom: 11px;
}

.mySlides img, .mySlides-2 img {
    margin-left: 30px;
    margin-bottom: 5px;
}


.featured_slider_next {
  margin-right:-15px !important;
}

.featured_slider_prev {
    margin-left: -15px !important;
}


}

/* floating cart */


#cart-div-icon {
    position: fixed;
    right: 0;
    top: 519px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    
    background-repeat: no-repeat;
    text-indent: -9999px;

    user-select: none;
  -webkit-user-select: none;


}

#cart-div-icon-svg {
    position: fixed;
    right: 18px;
    top: 519px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    
    background-repeat: no-repeat;
    text-indent: -9999px;

    user-select: none;
  -webkit-user-select: none;

}

#meylext-count-cart-item {
    margin-left: 10px;
    margin-top: -13px;
    position: fixed;
    cursor: pointer;
    padding-top: 3px;
    width: 17px;
    height: 16px;
    font-size: 12px;
    background: #11ab5e;
    border-radius: 12px;
    color: #FFF;
    text-align: center;
    text-indent: 0;
    user-select: none;
  -webkit-user-select: none;
}

#cart-float-div {
    position: fixed;
    right: 10px;
    top: 135px;
    cursor: pointer;
    width: 364px;
    height: 244px;
    z-index: 999;
    background: #11ab5edb;
    border: 3px solid #11ab5e;
    border-bottom: 0 !important;
    padding: 15px 15px 0px 15px;
    font-size: 13px;
    overflow-y: scroll;
    border-radius: 8px 0 0 0;
    color: #ffffff;
    cursor: auto;
    display: none;
    user-select: none;
    -webkit-user-select: none;
}



#cartTotalCheckout {
    position: fixed;
    right: 10px;
    top: 391px;
    cursor: pointer;
    width: 364px;
    height: 97px;
    z-index: 999;
    background: #11ab5edb;
    border: 3px solid #11ab5e;
    padding: 4px 15px;
    font-size: 13px;
    border-radius: 0 0 0 3px;
    color: #ffffff;
    cursor: auto;
    display: none;
    user-select: none;
    -webkit-user-select: none;
}

.float-product-name {
    font-weight: bold;
    vertical-align: top;
    margin-left: 10px;
}

.float-product-qty {
    display:block;
    margin-left: 10px;
}

.float-product-price {
    display:block;
    margin-left: 10px;
}

div#float-product-details {
    display: inline-block;
}


.product-group {
    border-bottom: 1px solid #FFFFFF;
    margin-bottom: 5px;
}


.cart-float-qty {
    width: 38px;
    color: #3e3e3e;
    font-weight: bold;
    font-size: 12px;
    border: #FFFFFF;
    padding: 2px;
    text-indent: 1px;
    text-align: center;
    border-radius: 2px;
}

input.cart-float-qty:focus {
    outline:none;
}


/* width */
::-webkit-scrollbar {
  width: 12px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #ffffff; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: #bdbdbd; 
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #bdbdbd; 
}


.product-group img {
    display: inline-block;
    width: 72px;
    height: auto;
    vertical-align: top;
    margin-top: 10px;
}

div#total-cart {
    width: 40%;
    background: #FFFFFF;
    color: #000;
    border-radius: 3px;
    padding: 3px;
    text-indent: 3px;
    font-weight: bold;
    font-size: 13px;
    margin-top: 8px;
    display: inline-block;
    float:right;
}

div#total-cart a {
    color: #000;
}

.total-text {
    font-weight: normal;
}


div#check-out-link, #continue-browsing {
    display: inline-block;
    background: #efef1e;
    padding: 7px 30px;
    border-radius: 3px;

    margin-top: 8px;
}

div#check-out-link a, #continue-browsing a {
    color:#000;
}

div#check-out-link:hover, #continue-browsing:hover {
    background: yellow;
    cursor: pointer;
}

div#main-total-cart {
    display: block;

}

#continue-browsing {
    margin-right: 6px;
}

.total-horizontal {
    margin-top: 49px;
    width: 97%;
    margin-bottom: 3px;
    color: #FFFFFF !important;
    border-top:1px solid #FFFFFF !important;
}

@media only screen and (max-width: 360px) {

    #cart-float-div {
    width: 329px;
    font-size: 12px;

    }

    .product-group img {
    width: 56px;

    }

    #cartTotalCheckout {
    width: 329px;
    font-size: 12px;
    height: 80px;

    }

    div#total-cart {
    width: 40%;
    background: #FFFFFF;
    color: #000;
    border-radius: 3px;
    padding: 3px 3px 0 3px;
    text-indent: 3px;
    font-weight: bold;
    font-size: 12px;
    margin-top: -10px;
    display: inline-block;
    float: right;
    margin-right: 10px;
    }


    .total-horizontal {
    margin-top: 23px;
    }

    div#check-out-link, #continue-browsing {
    display: inline-block;
    background: #efef1e;
    padding: 3px 18px 1px 18px;
    border-radius: 3px;
    margin-top: 8px;

    }

    #cart-div-icon {
    top: 519px;
    }

    .meylex-service-name {
        font-size: 17px;
    }

    .featured-column {
    width: 16.66%;
    }
}

.mySlidesFeaturedSlider {
    font-family: arial;
    color: #1c1c1c;
    font-size: 15px;
}

.featured-service-name {
    margin-top: 0 !important;
    margin-bottom: 5px !important;
}

.services-details a {
    color : <?php echo esc_html($primary_color); ?>;
}

.services-details {
    vertical-align: top;
}


#cart-float-div {
    font-family: arial;
}


#cart-div-icon {
    z-index: 0;
}

div#total-cart a {
    text-decoration: none;

}

.woocommerce-Price-amount {
    color: #3e3e3e;
}

div#check-out-link a, #continue-browsing a {
    text-decoration: none;
}


.featured_slider_prev, .featured_slider_next {
    text-decoration: none !important;
    background: <?php echo esc_html($primary_color); ?>;
    opacity: 0.7;

}

.featured_slider_prev:hover, .featured_slider_next:hover{
    background: <?php echo esc_html($primary_color); ?>;
    opacity: 0.9;
}


.featured-service-name a {
    text-decoration: none;
    font-size: 25px;
    color: <?php echo esc_html($primary_color); ?>;
}

.loading-adding-cart-icon {
    border-top: 6px solid <?php echo esc_html($primary_color); ?>;

}

#cart-float-div {
    background: <?php echo esc_html($primary_color); ?>;
    border: 3px solid <?php echo esc_html($primary_color); ?>;
}

#cartTotalCheckout {
    background: <?php echo esc_html($primary_color); ?>;
    border: 3px solid <?php echo esc_html($primary_color); ?>;
}

#meylext-count-cart-item {
    background: <?php echo esc_html($primary_color); ?>;
}

div#check-out-link, #continue-browsing {
    color:#000;
    background: <?php echo esc_html($secondary_color); ?>;
    opacity: 0.9;

}

div#check-out-link:hover, #continue-browsing:hover {
    background: <?php echo esc_html($secondary_color); ?>;
    cursor: pointer;
    opacity: 1;
}






.space-services {

    margin-top: 110px;

}

#float-product-details input[type="number"] {
    font-size: 12px !important;
    width: 45px !important;
    min-height: 22px !important;
    padding: 0 !important;
    height: 0 !important;
    margin: 0 !important;
}


#float-product-details input[type="number"] {
    font-size: 15px;
}

div#float-product-details {
    display: inline-block;
    margin-bottom: 5px;
    line-height: 19px;
}

div#check-out-link a, #continue-browsing a {
    color: #000;
    font-family: arial !important;
}

.product-group img {
   margin-top: 0 !important;

}

div#main-full-cart {
    font-weight: normal;
}

div#main-full-cart {
    font-family: arial !important;
    font-weight: normal !important;
}

}
#cartTotalCheckout {
    top: 390px !important;

}

div#check-out-link, #continue-browsing {
    padding: 7px 18px !important;

}

#cart-div-icon {
    top: 527px !important;
}


#cartTotalCheckout {
    top: 392px !important;
    height: 110px !important;
}


.services-details {
    font-weight: normal !important;
}

#meylext-count-cart-item {
    margin-top: -7px;
}

#cart-div-icon-svg {
    top: 540px !important;
}

.total-horizontal {
    border-top: 0 !important;
}
</style>
